import { Injector } from '@angular/core';
import { FrontActionRegistryService } from "../../registry/front-action-registry.service";
import { FrontAction } from "../../data-fields/models/changed-fields";
import { LoggerService } from "../../logger/services/logger.service";
import * as i0 from "@angular/core";
export declare class FrontActionService {
    protected _injector: Injector;
    protected _frontActionRegistry: FrontActionRegistryService;
    protected _log: LoggerService;
    constructor(_injector: Injector, _frontActionRegistry: FrontActionRegistryService, _log: LoggerService);
    run(frontAction: FrontAction): void;
    runAll(frontAction: FrontAction[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrontActionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FrontActionService>;
}
