import { UserResourceService } from '../../../resources/engine-endpoint/user-resource.service';
import { PetriNetResourceService } from '../../../resources/engine-endpoint/petri-net-resource.service';
import { LoggerService } from '../../../logger/services/logger.service';
import { ProcessList } from './ProcessList';
import { SnackBarService } from '../../../snack-bar/services/snack-bar.service';
import { UserListService } from '../../../user/services/user-list.service';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class RoleAssignmentService {
    private _log;
    private _translate;
    private readonly _userList;
    private readonly _processList;
    constructor(userResources: UserResourceService, processResources: PetriNetResourceService, snackbar: SnackBarService, _log: LoggerService, _translate: TranslateService);
    get userList(): UserListService;
    get processList(): ProcessList;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoleAssignmentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RoleAssignmentService>;
}
