import { OnDestroy } from '@angular/core';
import { ConfigurationService } from '../../configuration/configuration.service';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AnonymousService implements OnDestroy {
    protected _config: ConfigurationService;
    static readonly JWT_BEARER_HEADER_DEFAULT = "X-Jwt-Token";
    protected readonly _jwtHeader: string;
    protected _storage: Storage;
    protected _tokenSet: BehaviorSubject<boolean>;
    constructor(_config: ConfigurationService);
    get jwtHeader(): string;
    get tokenSet(): Observable<boolean>;
    getToken(): string;
    setToken(token: string): void;
    removeToken(): void;
    ngOnDestroy(): void;
    protected resolveStorage(storage: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnonymousService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AnonymousService>;
}
