import { OnDestroy, OnInit } from '@angular/core';
import { SessionService } from '../session/services/session.service';
import { SpinnerOverlayService } from '../../utility/service/spinner-overlay.service';
import { Router } from '@angular/router';
import { RedirectService } from '../../routing/redirect-service/redirect.service';
import { Subscription } from 'rxjs';
import { UserService } from '../../user/services/user.service';
import * as i0 from "@angular/core";
export declare abstract class AbstractAuthenticationOverlayComponent implements OnInit, OnDestroy {
    protected _session: SessionService;
    protected _spinnerOverlay: SpinnerOverlayService;
    protected router: Router;
    protected redirectService: RedirectService;
    protected userService: UserService;
    protected subSession: Subscription;
    protected user: Subscription;
    protected subInitializing: Subscription;
    constructor(_session: SessionService, _spinnerOverlay: SpinnerOverlayService, router: Router, redirectService: RedirectService, userService: UserService);
    ngOnInit(): void;
    protected redirect(bool: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractAuthenticationOverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractAuthenticationOverlayComponent, "ncc-abstract-auth-overlay", never, {}, {}, never, never, false, never>;
}
