import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SessionService } from '../session/services/session.service';
import { RedirectService } from '../../routing/redirect-service/redirect.service';
import { AnonymousService } from '../anonymous/anonymous.service';
import { SessionIdleTimerService } from "../session/services/session-idle-timer.service";
import * as i0 from "@angular/core";
export declare class AuthenticationInterceptor implements HttpInterceptor {
    private _session;
    private _redirect;
    private _anonymousService;
    private idleTimerService;
    constructor(_session: SessionService, _redirect: RedirectService, _anonymousService: AnonymousService, idleTimerService: SessionIdleTimerService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationInterceptor>;
}
