import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot, UrlTree } from '@angular/router';
import { SessionService } from '../../session/services/session.service';
import { RedirectService } from '../../../routing/redirect-service/redirect.service';
import * as i0 from "@angular/core";
export declare class AuthenticationGuardService implements CanActivate {
    private _session;
    private _redirectService;
    private _router;
    private readonly _loginUrl;
    constructor(_session: SessionService, _redirectService: RedirectService, _router: Router);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean | UrlTree;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationGuardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationGuardService>;
}
