import { OnDestroy } from "@angular/core";
import { Observable } from "rxjs";
import { ConfigurationService } from "../../../configuration/configuration.service";
import * as i0 from "@angular/core";
export declare class SessionIdleTimerService implements OnDestroy {
    protected _config: ConfigurationService;
    static readonly DEFAULT_SESSION_TIMEOUTTIME = 900;
    private readonly _enableService;
    private readonly _timeoutSeconds;
    private _count;
    private timerSubscription;
    private timer;
    private _remainSeconds;
    remainSeconds$: Observable<number>;
    constructor(_config: ConfigurationService);
    startTimer(): void;
    stopTimer(): void;
    resetTimer(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SessionIdleTimerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SessionIdleTimerService>;
}
