import { Injector, OnDestroy, OnInit } from '@angular/core';
import { CountCard } from '../model/count-card';
import { CountService } from '../../../resources/abstract-endpoint/count-service';
import { Filter } from '../../../filter/models/filter';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class AbstractCountCardComponent implements OnInit, OnDestroy {
    protected _injector: Injector;
    card: CountCard;
    protected _countService: CountService;
    protected _filter: Filter;
    loading: boolean;
    count: number;
    protected subCount: Subscription;
    constructor(_injector: Injector);
    ngOnInit(): void;
    private resolveResourceService;
    private resolveFilter;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractCountCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractCountCardComponent, "ncc-abstract-count-card", never, { "card": { "alias": "card"; "required": false; }; }, {}, never, never, false, never>;
}
