import { OnInit } from '@angular/core';
import { DashboardParams } from './dashboard-params';
import { DashboardCardTypes } from '../cards/model/dashboard-card-types';
import { CardGridElement } from '../cards/model/card-grid-element';
import { LoggerService } from '../../logger/services/logger.service';
import { ComponentPortal } from '@angular/cdk/portal';
import * as i0 from "@angular/core";
export declare abstract class AbstractDashboardContentComponent implements OnInit {
    protected _log: LoggerService;
    params: DashboardParams;
    portalComponent: ComponentPortal<any>;
    readonly cardTypes: typeof DashboardCardTypes;
    gridElements: Array<CardGridElement>;
    protected constructor(_log: LoggerService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractDashboardContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractDashboardContentComponent, "ncc-abstract-dashboard-content", never, { "params": { "alias": "params"; "required": false; }; "portalComponent": { "alias": "portalComponent"; "required": false; }; }, {}, never, never, false, never>;
}
