import { TranslateService } from "@ngx-translate/core";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { ButtonField } from "../models/button-field";
import { DialogService } from "../../../dialog/services/dialog.service";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import * as i0 from "@angular/core";
export declare abstract class AbstractButtonDefaultFieldComponent extends AbstractBaseDataFieldComponent<ButtonField> {
    protected _translate: TranslateService;
    protected _dialogService: DialogService;
    constructor(_translate: TranslateService, _dialogService: DialogService, dataFieldPortalData: DataFieldPortalData<ButtonField>);
    getErrorMessage(): any;
    /**
     * Function checks if button is icon type
     * @returns true if component type is 'fab', 'minifab' or 'icon'
     */
    isIconTypeButton(): boolean;
    /**
     * This function depends on type of component, if had dialogText provided in component, then its open a dialog with that text
     */
    resolveValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractButtonDefaultFieldComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractButtonDefaultFieldComponent, "ncc-abstract-button-default-field", never, {}, {}, never, never, false, never>;
}
