import { AfterViewInit, Injector, OnDestroy, Type } from "@angular/core";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { CaseRefField } from '../model/case-ref-field';
import { Subscription } from 'rxjs';
import { AbstractCaseRefBaseFieldComponent } from '../model/abstract-case-ref-base-field-component';
import * as i0 from "@angular/core";
export declare abstract class AbstractCaseRefDefaultComponent extends AbstractCaseRefBaseFieldComponent<CaseRefField> implements AfterViewInit, OnDestroy {
    protected injector: Injector;
    protected caseViewType: Type<any>;
    protected _sub: Subscription;
    protected _subComp: Subscription;
    protected constructor(injector: Injector, caseViewType: Type<any>, dataFieldPortalData: DataFieldPortalData<CaseRefField>);
    ngAfterViewInit(): void;
    protected callCreateFilter(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractCaseRefDefaultComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractCaseRefDefaultComponent, "ncc-abstract-case-ref-default", never, {}, {}, never, never, false, never>;
}
