import { DataField } from '../../models/abstract-data-field';
import { Behavior } from '../../models/behavior';
import { Layout } from '../../models/layout';
import { Component } from '../../models/component';
import { Validation } from '../../models/validation';
export declare class CaseRefField extends DataField<Array<string>> {
    constructor(stringId: string, title: string, initialValue: Array<string>, behavior: Behavior, placeholder?: string, description?: string, layout?: Layout, validations?: Array<Validation>, component?: Component, parentTaskId?: string);
    getTypedComponentType(): string;
}
