import { TranslateService } from "@ngx-translate/core";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { DateField } from "../models/date-field";
import { AbstractTimeInstanceFieldComponent } from "../../time-instance-abstract-field/abstract-time-instance-field.component";
import { DateAdapter } from "@angular/material/core";
import { LanguageService } from "../../../translate/language.service";
import * as i0 from "@angular/core";
export declare abstract class AbstractDateDefaultFieldComponent extends AbstractTimeInstanceFieldComponent<DateField> {
    protected _translate: TranslateService;
    protected _adapter: DateAdapter<any>;
    protected _locale: string;
    protected _languageService: LanguageService;
    constructor(_translate: TranslateService, _adapter: DateAdapter<any>, _locale: string, _languageService: LanguageService, dataFieldPortalData: DataFieldPortalData<DateField>);
    getErrorMessage(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractDateDefaultFieldComponent, [null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractDateDefaultFieldComponent, "ncc-abstract-date-default-field", never, {}, {}, never, never, false, never>;
}
