import { OnInit, OnDestroy } from '@angular/core';
import { EnumerationField } from '../models/enumeration-field';
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class AbstractEnumerationIconFieldComponent extends AbstractBaseDataFieldComponent<EnumerationField> implements OnInit, OnDestroy {
    horizontal: boolean;
    protected arrow: boolean;
    protected divider: boolean;
    protected subComp: Subscription;
    constructor(dataFieldPortalData: DataFieldPortalData<EnumerationField>);
    ngOnInit(): void;
    checkProperties(): void;
    resolveIconValue(key: string): string;
    resolveIconType(key: string): string;
    isArrow(): boolean;
    isDivider(): boolean;
    setEnumValue(key: string): void;
    isSelected(key: string): boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractEnumerationIconFieldComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractEnumerationIconFieldComponent, "ncc-abstract-enumerataion-icon-field", never, {}, {}, never, never, false, never>;
}
