import { AfterViewInit, Injector } from '@angular/core';
import { ComponentPortal } from '@angular/cdk/portal';
import { FilterField } from './models/filter-field';
import { SearchService } from '../../search/search-service/search.service';
import { AbstractFilterFieldContentComponent } from './abstract-filter-field-content.component';
import { ComponentRegistryService } from "../../registry/component-registry.service";
import * as i0 from "@angular/core";
export declare abstract class AbstractFilterFieldTabViewContentComponent extends AbstractFilterFieldContentComponent implements AfterViewInit {
    protected registry: ComponentRegistryService;
    protected injector: Injector;
    componentPortal: ComponentPortal<any>;
    protected constructor(registry: ComponentRegistryService, injector: Injector, filterField: FilterField, searchService: SearchService);
    ngAfterViewInit(): void;
    createFilter(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractFilterFieldTabViewContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractFilterFieldTabViewContentComponent, "ncc-abstract-filter-field-tab-view-content", never, {}, {}, never, never, false, never>;
}
