import { TranslateService } from '@ngx-translate/core';
import { I18nField } from './models/i18n-field';
import { LanguageIconsService } from './language-icons.service';
import { AbstractBaseDataFieldComponent } from "../base-component/abstract-base-data-field.component";
import { DataFieldPortalData } from "../models/data-field-portal-data-injection-token";
import * as i0 from "@angular/core";
export declare abstract class AbstractI18nErrorsComponent extends AbstractBaseDataFieldComponent<I18nField> {
    protected languageIconsService: LanguageIconsService;
    protected _translate: TranslateService;
    protected constructor(languageIconsService: LanguageIconsService, _translate: TranslateService, dataFieldPortalData: DataFieldPortalData<I18nField>);
    getErrorMessage(): any;
    protected resolveErrorMessage(search: string, generalMessage: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractI18nErrorsComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractI18nErrorsComponent, "ncc-abstract-i18n-errors", never, {}, {}, never, never, false, never>;
}
