import { I18nField } from '../models/i18n-field';
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import * as i0 from "@angular/core";
export declare abstract class AbstractI18nDividerFieldComponent extends AbstractBaseDataFieldComponent<I18nField> {
    constructor(dataFieldPortalData: DataFieldPortalData<I18nField>);
    getDividerColor(): string;
    isDividerLGBTQ(): boolean;
    getDividerFontSize(): string;
    dividerPropertyEnabled(property: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractI18nDividerFieldComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractI18nDividerFieldComponent, "ncc-abstract-i18n-divider-field", never, {}, {}, never, never, false, never>;
}
