import { AfterViewInit } from "@angular/core";
import { AbstractNumberErrorsComponent } from "../abstract-number-errors.component";
import { DecimalPipe } from "@angular/common";
import { TranslateService } from "@ngx-translate/core";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { NumberField } from "../models/number-field";
import * as i0 from "@angular/core";
export declare abstract class AbstractNumberDecimalFieldComponent extends AbstractNumberErrorsComponent implements AfterViewInit {
    protected _decimalPipe: DecimalPipe;
    transformedValue: string;
    fieldType: string;
    readonly NUMBER_TYPE = "number";
    readonly TEXT_TYPE = "text";
    readonly WHITESPACE = " ";
    protected constructor(_decimalPipe: DecimalPipe, _translate: TranslateService, dataFieldPortalData: DataFieldPortalData<NumberField>);
    ngAfterViewInit(): void;
    transformToText(event: Event): void;
    transformToNumber(): void;
    isNumberType(): boolean;
    private transformDecimal;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractNumberDecimalFieldComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractNumberDecimalFieldComponent, "ncc-abstract-number-decimal-field", never, {}, {}, never, never, false, never>;
}
