import { ElementRef, OnInit } from '@angular/core';
import { AbstractBaseDataFieldComponent } from '../../base-component/abstract-base-data-field.component';
import { TranslateService } from '@ngx-translate/core';
import { DataFieldPortalData } from '../../models/data-field-portal-data-injection-token';
import { StringCollectionField } from '../models/string-collection-field';
import { MatChipInputEvent } from '@angular/material/chips';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class AbstractStringCollectionDefaultFieldComponent extends AbstractBaseDataFieldComponent<StringCollectionField> implements OnInit {
    protected _translate: TranslateService;
    input: ElementRef;
    separatorKeysCodes: number[];
    protected subComp: Subscription;
    protected constructor(_translate: TranslateService, dataFieldPortalData: DataFieldPortalData<StringCollectionField>);
    ngOnInit(): void;
    checkProperties(): void;
    protected checkPropertyForSeparator(propertyBoolean: boolean, separator: number): void;
    remove(value: string): void;
    add(event: MatChipInputEvent | FocusEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractStringCollectionDefaultFieldComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractStringCollectionDefaultFieldComponent, "ncc-abstract-string-collection-default-field", never, {}, {}, never, never, false, never>;
}
