import { DataField } from '../../models/abstract-data-field';
import { Behavior } from '../../models/behavior';
import { Layout } from '../../models/layout';
import { Component } from '../../models/component';
import { Validation } from '../../models/validation';
import { TaskRefDashboardTile } from './task-ref-dashboard-tile';
export declare class TaskRefField extends DataField<Array<string>> {
    protected _dashboardTiles?: Array<TaskRefDashboardTile>;
    private _dashboardRows?;
    private _dashboardCols?;
    constructor(stringId: string, title: string, initialValue: Array<string>, behavior: Behavior, placeholder?: string, description?: string, layout?: Layout, validations?: Array<Validation>, component?: Component, parentTaskId?: string);
    get dashboardTiles(): Array<TaskRefDashboardTile>;
    set dashboardTiles(value: Array<TaskRefDashboardTile>);
    get dashboardRows(): number;
    set dashboardRows(value: number);
    get dashboardCols(): number;
    set dashboardCols(value: number);
    getTypedComponentType(): string;
}
