import { OnInit } from "@angular/core";
import { TaskRefField } from "../model/task-ref-field";
import { TaskRefDashboardTile } from "../model/task-ref-dashboard-tile";
import { LoggerService } from "../../../logger/services/logger.service";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import * as i0 from "@angular/core";
export declare abstract class AbstractTaskRefDashboardFieldComponent extends AbstractBaseDataFieldComponent<TaskRefField> implements OnInit {
    protected _logger: LoggerService;
    dashboardTiles: Array<TaskRefDashboardTile>;
    protected constructor(_logger: LoggerService, dataFieldPortalData: DataFieldPortalData<TaskRefField>);
    ngOnInit(): void;
    protected createDashboardTiles(): void;
    protected createFlagGrid(rows?: number, cols?: number): Array<Array<boolean>>;
    protected createDashboardTile(tile: TaskRefDashboardTile): TaskRefDashboardTile;
    protected occupySpace(grid: Array<Array<boolean>>, y: number, x: number, width: number, height: number): void;
    protected createEmptyDashboardTile(x: number, y: number): TaskRefDashboardTile;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTaskRefDashboardFieldComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTaskRefDashboardFieldComponent, "ncc-abstract-task-ref-dashboard", never, {}, {}, never, never, false, never>;
}
