import { OnDestroy, OnInit } from '@angular/core';
import { AbstractTextErrorsComponent } from './abstract-text-errors.component';
import { TextField } from './models/text-field';
import { CustomCard } from '../../dashboard/cards/model/custom-dashboard-model/custom-card';
import { Subscription } from 'rxjs';
import { TranslateService } from '@ngx-translate/core';
import { DataFieldPortalData } from "../models/data-field-portal-data-injection-token";
import * as i0 from "@angular/core";
export declare abstract class AbstractDashboardTextFieldComponent extends AbstractTextErrorsComponent<TextField> implements OnInit, OnDestroy {
    card?: CustomCard;
    initialized: boolean;
    protected _sub: Subscription;
    protected constructor(translate: TranslateService, dataFieldPortalData: DataFieldPortalData<TextField>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected abstract createCard(textFieldValue: string): CustomCard;
    getErrorMessage(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractDashboardTextFieldComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractDashboardTextFieldComponent, "ncc-abstract-dashboard-text-field", never, {}, {}, never, never, false, never>;
}
