import { FormControl } from '@angular/forms';
import { TextField } from './models/text-field';
import { TranslateService } from '@ngx-translate/core';
import { TextAreaField } from './models/text-area-field';
import { DataFieldPortalData } from "../models/data-field-portal-data-injection-token";
import { AbstractBaseDataFieldComponent } from "../base-component/abstract-base-data-field.component";
import * as i0 from "@angular/core";
export declare abstract class AbstractTextErrorsComponent<T extends TextField> extends AbstractBaseDataFieldComponent<T> {
    protected _translate: TranslateService;
    protected constructor(_translate: TranslateService, dataFieldPortalData: DataFieldPortalData<T>);
    protected buildErrorMessage(textField: TextField | TextAreaField, formControlRef: FormControl): any;
    protected resolveErrorMessage(textField: TextField | TextAreaField, search: string, generalMessage: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTextErrorsComponent<any>, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTextErrorsComponent<any>, "ncc-text-errors", never, {}, {}, never, never, false, never>;
}
