import { Behavior } from '../../models/behavior';
import { Layout } from '../../models/layout';
import { Validation } from '../../models/validation';
import { TextField } from './text-field';
import { Observable } from 'rxjs';
import { Component } from '../../models/component';
export declare class TextAreaField extends TextField {
    private SEARCH_DEBOUNCE_TIME;
    constructor(stringId: string, title: string, value: string, behavior: Behavior, placeholder?: string, description?: string, layout?: Layout, validations?: Array<Validation>, component?: Component, parentTaskId?: string);
    valueChanges(): Observable<string>;
}
