import { DataField } from '../../models/abstract-data-field';
import { UserValue } from './user-value';
import { Behavior } from '../../models/behavior';
import { Layout } from '../../models/layout';
import { ProcessRole } from '../../../resources/interface/process-role';
import { Component } from '../../models/component';
import { Validation } from '../../models/validation';
export declare class UserField extends DataField<UserValue> {
    private _roles;
    constructor(stringId: string, title: string, behavior: Behavior, value: UserValue, _roles: Array<ProcessRole>, placeholder?: string, description?: string, layout?: Layout, validations?: Array<Validation>, component?: Component, parentTaskId?: string);
    getTypedComponentType(): string;
    get roles(): Array<ProcessRole>;
    protected valueEquality(a: UserValue, b: UserValue): boolean;
}
