import { EventEmitter, OnDestroy } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { FormSubmitEvent, HasForm } from '../has-form';
import { LoadingEmitter } from '../../utility/loading-emitter';
import * as i0 from "@angular/core";
export declare abstract class AbstractEmailSubmissionFormComponent implements HasForm, OnDestroy {
    rootFormGroup: FormGroup;
    displayLegalNotice: boolean;
    loading: LoadingEmitter;
    formSubmit: EventEmitter<FormSubmitEvent>;
    goBackButton: EventEmitter<void>;
    protected constructor(formBuilder: FormBuilder);
    ngOnDestroy(): void;
    emitGoBack(): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractEmailSubmissionFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractEmailSubmissionFormComponent, "ncc-abstract-email-submission-form", never, { "displayLegalNotice": { "alias": "displayLegalNotice"; "required": false; }; }, { "formSubmit": "formSubmit"; "goBackButton": "goBackButton"; }, never, never, false, never>;
}
