import { UserResourceService } from '../../resources/engine-endpoint/user-resource.service';
import { ResourceProvider } from '../../resources/resource-provider.service';
import { ConfigurationService } from '../../configuration/configuration.service';
import { Params } from '@angular/router';
import { Observable } from 'rxjs';
import { Page } from '../../resources/interface/page';
import { UserResource } from '../../resources/interface/user-resource';
import * as i0 from "@angular/core";
export declare class ImpersonationUserResourceService extends UserResourceService {
    protected _IMPERSONATION_SERVER_URL: string;
    constructor(provider: ResourceProvider, configService: ConfigurationService);
    search(body: {
        fulltext: string;
    }, params?: Params): Observable<Page<UserResource>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImpersonationUserResourceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ImpersonationUserResourceService>;
}
