import { ConfigurationService } from '../../configuration/configuration.service';
import { Services } from '../../../commons/schema';
import * as i0 from "@angular/core";
export declare abstract class AbstractLegalNoticeComponent {
    /**
     * The button text that should be displayed in the legal notice.
     * The text is passed trough the `translate` pipe before being displayed.
     */
    buttonName: string;
    protected _legalConfig: Services['legal'];
    protected constructor(config: ConfigurationService);
    get termsOfServiceLink(): string;
    get privacyPolicyLink(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractLegalNoticeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractLegalNoticeComponent, "ncc-abstract-legal-notice", never, { "buttonName": { "alias": "buttonName"; "required": false; }; }, {}, never, never, false, never>;
}
