import { LogPublisher } from './log-publisher';
import { LogEntry } from '../models/log-entry';
import { LogPublisherService } from '../services/log-publisher.service';
export declare class LocalStorageLogPublisher extends LogPublisher {
    static readonly DEFAULT_KEY = "application-log";
    constructor(publisherService: LogPublisherService, logKey?: string);
    clear(): void;
    log(entry: LogEntry): void;
}
