import { LogEntry } from '../models/log-entry';
import { LogPublisherService } from '../services/log-publisher.service';
export declare abstract class LogPublisher {
    protected location: string;
    constructor(publisherService: LogPublisherService);
    abstract log(entry: LogEntry): void;
    abstract clear(): void;
}
