import { Injector, Type } from '@angular/core';
import { ComponentPortal } from '@angular/cdk/portal';
import { Observable } from 'rxjs';
import { TaskResourceService } from '../../resources/engine-endpoint/task-resource.service';
import { LoggerService } from '../../logger/services/logger.service';
import { DataGroup } from '../../resources/interface/data-groups';
export declare abstract class GroupNavigationComponentResolverService {
    protected _taskResourceService: TaskResourceService;
    protected _log: LoggerService;
    protected constructor(_taskResourceService: TaskResourceService, _log: LoggerService);
    protected abstract resolveViewComponent(navigationItemTaskData: Array<DataGroup>): Type<any>;
    createResolvedViewComponentPortal(taskId: string, parentInjector: Injector): Observable<ComponentPortal<any>>;
    private forwardError;
}
