import { OnInit } from '@angular/core';
import { LanguageService } from '../../../translate/language.service';
import { PaperViewService } from './paper-view.service';
import { AbstractNavigationResizableDrawerComponent } from '../../navigation-drawer/abstract-navigation-resizable-drawer.component';
import * as i0 from "@angular/core";
export type QuickPanelItem = 'language' | 'settings' | 'logout' | 'impersonation';
export declare abstract class AbstractQuickPanelComponent extends AbstractNavigationResizableDrawerComponent implements OnInit {
    protected _select: LanguageService;
    protected _paperView: PaperViewService;
    items: Array<QuickPanelItem>;
    constructor(_select: LanguageService, _paperView: PaperViewService);
    ngOnInit(): void;
    setPaperView(): void;
    isPaperView(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractQuickPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractQuickPanelComponent, "ncc-abstract-quick-panel", never, { "items": { "alias": "items"; "required": false; }; }, {}, never, never, false, never>;
}
