import { AbstractPanelWithHeaderBindingComponent } from './panel-with-header-binding';
import { TranslateService } from '@ngx-translate/core';
import { OnDestroy } from '@angular/core';
import { FeaturedValue } from './featured-value';
import { CurrencyPipe } from '@angular/common';
import { ImmediateData } from '../../resources/interface/immediate-data';
import { OverflowService } from '../../header/services/overflow.service';
import * as i0 from "@angular/core";
export declare abstract class AbstractPanelWithImmediateDataComponent extends AbstractPanelWithHeaderBindingComponent implements OnDestroy {
    protected _translate: TranslateService;
    protected _currencyPipe: CurrencyPipe;
    protected _overflowService: OverflowService;
    protected constructor(_translate: TranslateService, _currencyPipe: CurrencyPipe, _overflowService: OverflowService);
    ngOnDestroy(): void;
    protected parseImmediateValue(immediate: ImmediateData): FeaturedValue;
    protected formatCurrencyPipe(value: any, code: string, fraction: number, locale: string, type: string): {
        value: string;
        icon: any;
        type: string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractPanelWithImmediateDataComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractPanelWithImmediateDataComponent, "ncc-abstract-panel-with-immediate", never, {}, {}, never, never, false, never>;
}
