import { CdkVirtualScrollViewport } from '@angular/cdk/scrolling';
import { TaskViewService } from '../../view/task-view/service/task-view.service';
import { LoggerService } from '../../logger/services/logger.service';
import { InjectedTabData } from '../../tabs/interfaces';
import { ActivatedRoute } from '@angular/router';
import { AbstractDefaultTaskListComponent } from './default-task-panel-list/abstract-default-task-list.component';
import { Observable } from 'rxjs';
import { TaskPanelData } from './task-panel-data/task-panel-data';
import * as i0 from "@angular/core";
export declare abstract class AbstractTaskListComponent extends AbstractDefaultTaskListComponent {
    protected _taskViewService: TaskViewService;
    protected _log: LoggerService;
    protected route?: ActivatedRoute;
    set tasks$(tasks: Observable<Array<TaskPanelData>>);
    get tasks$(): Observable<Array<TaskPanelData>>;
    viewport: CdkVirtualScrollViewport;
    protected constructor(_taskViewService: TaskViewService, _log: LoggerService, injectedTabData: InjectedTabData, route?: ActivatedRoute);
    loadNextPage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTaskListComponent, [null, null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTaskListComponent, "ncc-abstract-task-list", never, { "tasks$": { "alias": "tasks$"; "required": false; }; }, {}, never, never, false, never>;
}
