import { Observable } from 'rxjs';
import { ActivatedRoute } from '@angular/router';
import { AbstractDefaultTaskListComponent } from '../default-task-panel-list/abstract-default-task-list.component';
import { TaskPanelData } from '../task-panel-data/task-panel-data';
import { TaskViewService } from '../../../view/task-view/service/task-view.service';
import { LoggerService } from '../../../logger/services/logger.service';
import { InjectedTabData } from '../../../tabs/interfaces';
import * as i0 from "@angular/core";
export declare abstract class AbstractTaskListPaginationComponent extends AbstractDefaultTaskListComponent {
    protected _taskViewService: TaskViewService;
    protected _log: LoggerService;
    protected route?: ActivatedRoute;
    length: number;
    pageSize: number;
    pageIndex: number;
    pageSizeOptions: Array<number>;
    disabled: boolean;
    set tasks$(tasks: Observable<Array<TaskPanelData>>);
    get tasks$(): Observable<Array<TaskPanelData>>;
    constructor(_taskViewService: TaskViewService, _log: LoggerService, injectedTabData: InjectedTabData, route?: ActivatedRoute);
    onPageChanged(e: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTaskListPaginationComponent, [null, null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTaskListPaginationComponent, "ncc-abstract-task-list-pagination-component", never, { "disabled": { "alias": "disabled"; "required": false; }; "tasks$": { "alias": "tasks$"; "required": false; }; }, {}, never, never, false, never>;
}
