import { Router } from '@angular/router';
import { UserService } from '../../user/services/user.service';
import { TaskResourceService } from '../../resources/engine-endpoint/task-resource.service';
import { SessionService } from '../../authentication/session/services/session.service';
import { AuthenticationService } from '../../authentication/services/authentication/authentication.service';
import { PublicUrlResolverService } from '../../public/services/public-url-resolver.service';
import { LoggerService } from '../../logger/services/logger.service';
import { ResourceProvider } from '../../resources/resource-provider.service';
import { ConfigurationService } from '../../configuration/configuration.service';
import { FieldConverterService } from '../../task-content/services/field-converter.service';
import { RedirectService } from '../../routing/redirect-service/redirect.service';
export declare const TaskResourceServiceProvider: {
    provide: typeof TaskResourceService;
    useFactory: (userService: UserService, sessionService: SessionService, authService: AuthenticationService, router: Router, publicResolverService: PublicUrlResolverService, logger: LoggerService, provider: ResourceProvider, config: ConfigurationService, fieldConverter: FieldConverterService, redirectService: RedirectService) => any;
    deps: (typeof ConfigurationService | typeof LoggerService | typeof SessionService | typeof AuthenticationService | typeof ResourceProvider | typeof UserService | typeof FieldConverterService | typeof Router | typeof RedirectService | typeof PublicUrlResolverService)[];
};
