import { ActivatedRoute, Router } from '@angular/router';
import { ProcessService } from '../../process/process.service';
import { CaseResourceService } from '../../resources/engine-endpoint/case-resource.service';
import { SnackBarService } from '../../snack-bar/services/snack-bar.service';
import { SimpleFilter } from '../../filter/models/simple-filter';
import { TranslateService } from '@ngx-translate/core';
import { PublicTaskLoadingService } from '../../view/task-view/service/public-task-loading.service';
export declare const CASE_ID = "caseId";
export declare const PETRI_NET_ID = "petriNetId";
export declare const TRANSITION_ID = "transitionId";
export declare const publicBaseFilterFactory: (router: Router, route: ActivatedRoute, process: ProcessService, caseResourceService: CaseResourceService, snackBarService: SnackBarService, translate: TranslateService, publicTaskLoadingService: PublicTaskLoadingService) => {
    filter: SimpleFilter;
};
