import { OperatorService } from '../../../operator-service/operator.service';
import { LoggerService } from '../../../../logger/services/logger.service';
import { Categories } from '../categories';
import { OptionalDependencies } from '../../../category-factory/optional-dependencies';
import { NoConfigurationUserAutocompleteCategory } from '../no-configuration-user-autocomplete-category';
export declare class CaseAuthor extends NoConfigurationUserAutocompleteCategory {
    private static readonly _i18n;
    constructor(operators: OperatorService, logger: LoggerService, optionalDependencies: OptionalDependencies);
    get inputPlaceholder(): string;
    duplicate(): CaseAuthor;
    serializeClass(): Categories | string;
}
