import { Moment } from 'moment';
import { OperatorService } from '../../../operator-service/operator.service';
import { LoggerService } from '../../../../logger/services/logger.service';
import { NoConfigurationCategory } from '../no-configuration-category';
import { Categories } from '../categories';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
export declare class CaseCreationDate extends NoConfigurationCategory<Moment> {
    private static readonly _i18n;
    constructor(operators: OperatorService, logger: LoggerService);
    get inputPlaceholder(): string;
    duplicate(): CaseCreationDate;
    serializeClass(): Categories | string;
    protected serializeOperandValue(valueFormControl: FormControl): unknown;
    protected deserializeOperandValue(value: unknown): Observable<any>;
}
