import { OperatorService } from '../../../operator-service/operator.service';
import { LoggerService } from '../../../../logger/services/logger.service';
import { NoConfigurationCategory } from '../no-configuration-category';
import { Categories } from '../categories';
import { OptionalDependencies } from '../../../category-factory/optional-dependencies';
export declare class CaseVisualId extends NoConfigurationCategory<string> {
    protected _optionalDependencies?: OptionalDependencies;
    private static readonly _i18n;
    constructor(operators: OperatorService, logger: LoggerService, _optionalDependencies?: OptionalDependencies);
    get inputPlaceholder(): string;
    duplicate(): CaseVisualId;
    serializeClass(): Categories | string;
    protected get elasticKeywords(): Array<string>;
}
