import { OperatorService } from '../../../operator-service/operator.service';
import { LoggerService } from '../../../../logger/services/logger.service';
import { OptionalDependencies } from '../../../category-factory/optional-dependencies';
import { TaskNetAttributeAutocompleteCategory } from './task-net-attribute-autocomplete-category';
import { Net } from '../../../../process/net';
import { NameIdPair } from '../name-id-pair';
import { Categories } from '../categories';
export declare class TaskTask extends TaskNetAttributeAutocompleteCategory {
    private static readonly _i18n;
    constructor(operators: OperatorService, logger: LoggerService, optionalDependencies: OptionalDependencies);
    protected extractAttributes(petriNet: Net): Array<NameIdPair>;
    get inputPlaceholder(): string;
    duplicate(): TaskTask;
    serializeClass(): Categories | string;
}
