import { Operator } from './operator';
import { Moment } from 'moment';
import { MoreThan } from './more-than';
import { OperatorService } from '../../operator-service/operator.service';
import { Query } from '../query/query';
import { Operators } from './operators';
/**
 * A strict greater than operator for DateTime fields
 */
export declare class MoreThanDateTime extends Operator<Moment> {
    protected moreThan: MoreThan;
    constructor(operators: OperatorService);
    createQuery(elasticKeywords: Array<string>, args: Array<Moment>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
