import { Operator } from './operator';
import { OperatorService } from '../../operator-service/operator.service';
import { Query } from '../query/query';
import { Moment } from 'moment';
import { Operators } from './operators';
import { EqualsDateTime } from './equals-date-time';
export declare class NotEqualsDateTime extends Operator<Moment> {
    protected equals: EqualsDateTime;
    constructor(operators: OperatorService);
    createQuery(elasticKeywords: Array<string>, args: Array<Moment>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
