import { SideMenuControl } from '../../models/side-menu-control';
import { Option, OptionSelectorInjectionData } from './model/option-selector-injection-data';
import { FormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class AbstractOptionSelectorComponent {
    protected _sideMenuControl: SideMenuControl;
    data: OptionSelectorInjectionData;
    selectorFormControl: FormControl<string | Option>;
    filteredOptions: Observable<Array<Option>>;
    constructor(_sideMenuControl: SideMenuControl);
    submit(): void;
    displayFn(option: Option): string;
    protected _filter(value: string): Array<Option>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractOptionSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractOptionSelectorComponent, "ncc-abstract-option-selector", never, {}, {}, never, never, false, never>;
}
