import { Observable } from 'rxjs';
import { UserListItem } from '../../../../../user/services/user-list.service';
import * as i0 from "@angular/core";
/**
 * Includes avatar user icon and full username in the side menu.
 */
export declare abstract class AbstractMultiUserAssignItemComponent {
    /**
     * Value of the user held in this item component
     */
    user: UserListItem;
    /**
     * ID of the currently selected user
     */
    selectedIds$: Observable<Array<string>>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractMultiUserAssignItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractMultiUserAssignItemComponent, "ncc-abstract-user-assign-item", never, { "user": { "alias": "user"; "required": false; }; "selectedIds$": { "alias": "selectedIds$"; "required": false; }; }, {}, never, never, false, never>;
}
