import { OnDestroy, OnInit } from '@angular/core';
import { User } from '../models/user';
import { UserService } from '../services/user.service';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class AbstractProfileComponent implements OnInit, OnDestroy {
    protected _userService: UserService;
    user: User;
    protected subUser: Subscription;
    constructor(_userService: UserService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    get userBanner(): string;
    get userAvatar(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractProfileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractProfileComponent, "ncc-abstract-profile", never, { "user": { "alias": "user"; "required": false; }; }, {}, never, never, false, never>;
}
