/**
 * A counter that returns an incremented value, whenever it is called
 */
export declare class IncrementingCounter {
    private i;
    /**
     * @returns a number one greater than the previous number. The first call to this method returns `0`.
     */
    next(): number;
    /**
     * @returns the last returned number. If no call to [next()]{@link IncrementingCounter#next} has been made, returns `-1`.
     */
    lastUsed(): number;
}
