import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IsEmptyPipe implements PipeTransform {
    /**
     * Check if is value is empty.
     * @param value
     * @returns True for:
     *  - null
     *  - undefined
     *  - Array if Array.length === 0
     *  - String if string.length === 0
     *  - Object with no keys
     *  - (Set | Map).size === 0
     *  otherwise false.
     */
    transform(value: Array<unknown> | Object | string | Set<unknown> | Map<unknown, unknown>): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsEmptyPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsEmptyPipe, "isEmpty", false>;
}
