import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IsNonEmptyPipe implements PipeTransform {
    /**
     * Check if is value is not empty.
     * @param value
     * @returns false for:
     *  - null
     *  - undefined
     *  - Array if Array.length === 0
     *  - String if string.length === 0
     *  - Object with no keys
     *  - (Set | Map).size === 0
     *  otherwise true.
     */
    transform(value: Array<unknown> | Object | string | Set<unknown> | Map<unknown, unknown>): unknown;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsNonEmptyPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsNonEmptyPipe, "isNonEmpty", false>;
}
