import { BaseFilter } from '../search/models/base-filter';
import { DataGroup } from '../resources/interface/data-groups';
import { FilterExtractionService } from '../navigation/utility/filter-extraction.service';
/**
 * Converts an {@link NAE_NAVIGATION_ITEM_TASK_DATA} injection token into {@link NAE_BASE_FILTER}
 * @param extractionService
 * @param navigationItemTaskData a navigation item task containing the aggregated data representing a navigation item
 */
export declare function navigationItemTaskFilterFactory(extractionService: FilterExtractionService, navigationItemTaskData: Array<DataGroup>): BaseFilter;
