import { Page } from '../../resources/interface/page';
/**
 * @param page a {@link Page} of objects returned by backend
 * @returns returns `true` if the page is defined and has content with non-zero length. Returns `false` otherwise.
 */
export declare function hasContent(page: Page<unknown> | undefined): boolean;
