import { Observable } from 'rxjs';
import { MessageResource } from '../../../resources/interface/message-resource';
import { UserChangePasswordRequest } from "../../../authentication/profile/models/user-change-password-request";
/**
 * Mock the {@link ProfileService}. By default all responses are successful. Responses can be customised.
 */
export declare class MockProfileService {
    changePasswordResponse: Observable<MessageResource>;
    changePassword(change: UserChangePasswordRequest): Observable<MessageResource>;
}
