import { Observable } from 'rxjs';
import { Preferences } from '../../../resources/interface/preferences';
import { MessageResource } from '../../../resources/interface/message-resource';
import { UserResource } from '../../../resources/interface/user-resource';
import * as i0 from "@angular/core";
export declare class MockUserResourceService {
    getPreferences(): Observable<Preferences>;
    setPreferences(): Observable<MessageResource>;
    getLoggedUser(): Observable<UserResource>;
    assignAuthority(): void;
    assignRoles(): void;
    getAllAuthorities(): void;
    getAll(): void;
    getAllWithRole(): void;
    getUser(): void;
    search(): void;
    updateUser(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MockUserResourceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MockUserResourceService>;
}
