import { Observable, ReplaySubject } from 'rxjs';
import { User } from '../../../user/models/user';
import * as i0 from "@angular/core";
export declare class MockUserService {
    protected _userChange$: ReplaySubject<User>;
    protected _user: User;
    constructor();
    get user$(): Observable<User>;
    get user(): User;
    set user(user: User);
    hasRoleById(roleStringId: string): boolean;
    hasRoleByName(roleName: string, netIdentifier: string): boolean;
    hasAuthority(): boolean;
    isUserEmpty(user: User): boolean;
    isCurrentUserEmpty(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MockUserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MockUserService>;
}
