import { Page } from '../../../resources/interface/page';
/**
 * @param content the contents of the page
 * @returns a mock Page object with the size equivalent to the number of elements provided in the attribute.
 * If the content is empty the `content` attribute of the returned object is set to an empty object to mimic backend behavior.
 */
export declare function createMockPage<T>(content?: Array<T>): Page<T>;
