import { SetDataEventOutcome } from '../../../event/model/event-outcomes/data-outcomes/set-data-event-outcome';
import { Task } from '../../../resources/interface/task';
import { Net } from '../../../process/net';
import { Case } from '../../../resources/interface/case';
import { EventOutcome } from '../../../resources/interface/event-outcome';
import { ChangedFieldContainer } from '../../../resources/interface/changed-field-container';
/**
 * Creates a mock TaskEventOutcome with given changedFields, task, net, case and outcomes attributes.
 *
 * If attributes are not specified, default values are used.
 */
export declare function createMockSetDataOutcome(changedFields?: ChangedFieldContainer, task?: Task, net?: Net, aCase?: Case, outcomes?: Array<EventOutcome>): SetDataEventOutcome;
