import { TaskEventOutcome } from '../../../event/model/event-outcomes/task-outcomes/task-event-outcome';
import { Net } from '../../../process/net';
import { Case } from '../../../resources/interface/case';
import { EventOutcome } from '../../../resources/interface/event-outcome';
import { Task } from '../../../resources/interface/task';
/**
 * Creates a mock TaskEventOutcome with given task, net, case and outcomes attributes.
 *
 * If attributes are not specified, default values are used.
 */
export declare function createMockTaskOutcome(task?: Task, net?: Net, aCase?: Case, outcomes?: Array<EventOutcome>): TaskEventOutcome;
