import { SortChangeDescription } from '../../header/models/user-changes/sort-change-description';
import { Observable, Subscription } from 'rxjs';
import { HeaderChange } from '../../header/models/user-changes/header-change';
import { HttpParams } from '@angular/common/http';
import { OnDestroy } from '@angular/core';
import { SearchIndexResolverService } from '../../search/search-keyword-resolver-service/search-index-resolver.service';
import * as i0 from "@angular/core";
export declare abstract class AbstractSortableViewComponent implements OnDestroy {
    protected _resolver: SearchIndexResolverService;
    protected _lastHeaderSearchState: SortChangeDescription;
    protected _subHeader: Subscription;
    protected constructor(_resolver: SearchIndexResolverService);
    ngOnDestroy(): void;
    registerHeaderChange(headerChange$: Observable<HeaderChange>): void;
    abstract reload(): void;
    protected addSortParams(params: HttpParams): HttpParams;
    protected getSortId(): string;
    protected abstract getMetaFieldSortId(): string;
    protected abstract getDefaultSortParam(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractSortableViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractSortableViewComponent, "ncc-abstract-sortable-view", never, {}, {}, never, never, false, never>;
}
