import { CaseViewService } from '../../service/case-view-service';
import { CdkVirtualScrollViewport } from '@angular/cdk/scrolling';
import { LoggerService } from '../../../../logger/services/logger.service';
import { InjectedTabData } from '../../../../tabs/interfaces';
import { ActivatedRoute } from '@angular/router';
import { AbstractDefaultCaseListComponent } from '../default-case-list/abstract-default-case-list.component';
import * as i0 from "@angular/core";
export declare abstract class AbstractCaseListComponent extends AbstractDefaultCaseListComponent {
    protected _caseViewService: CaseViewService;
    protected _log: LoggerService;
    protected route?: ActivatedRoute;
    viewport: CdkVirtualScrollViewport;
    protected constructor(_caseViewService: CaseViewService, _log: LoggerService, injectedTabData: InjectedTabData, route?: ActivatedRoute);
    trackBy(i: any): any;
    get loadedDataSize(): number;
    loadNextPage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractCaseListComponent, [null, null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractCaseListComponent, "ncc-abstract-case-list", never, {}, {}, never, never, false, never>;
}
