import { Observable } from 'rxjs';
import { OnDestroy } from '@angular/core';
import { TaskPanelData } from '../../panel/task-panel-list/task-panel-data/task-panel-data';
import { TaskViewService } from './service/task-view.service';
import { AbstractViewWithHeadersComponent } from '../abstract/view-with-headers';
import { ActivatedRoute } from '@angular/router';
import * as i0 from "@angular/core";
export declare abstract class AbstractTaskViewComponent extends AbstractViewWithHeadersComponent implements OnDestroy {
    protected taskViewService: TaskViewService;
    tasks$: Observable<Array<TaskPanelData>>;
    loading$: Observable<boolean>;
    protected constructor(taskViewService: TaskViewService, _activatedRoute?: ActivatedRoute);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTaskViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTaskViewComponent, "ncc-abstract-task-view", never, {}, {}, never, never, false, never>;
}
