import { AfterViewInit } from '@angular/core';
import { TaskContentService } from '../../../task-content/services/task-content.service';
import { AssignTaskService } from '../../../task/services/assign-task.service';
import { TaskEventService } from '../../../task-content/services/task-event.service';
import { CancelTaskService } from '../../../task/services/cancel-task.service';
import { FinishTaskService } from '../../../task/services/finish-task.service';
import { TreeTaskContentService } from './tree-task-content.service';
import { Observable } from 'rxjs';
import { PermissionService } from '../../../authorization/permission/permission.service';
import * as i0 from "@angular/core";
export declare abstract class AbstractTreeTaskContentComponent implements AfterViewInit {
    protected _treeTaskContentService: TreeTaskContentService;
    protected _taskEventService: TaskEventService;
    protected _assign: AssignTaskService;
    protected _cancel: CancelTaskService;
    protected _finish: FinishTaskService;
    protected _taskContentService: TaskContentService;
    protected _permissionService: PermissionService;
    displayTaskControlButtons: boolean;
    constructor(_treeTaskContentService: TreeTaskContentService, _taskEventService: TaskEventService, _assign: AssignTaskService, _cancel: CancelTaskService, _finish: FinishTaskService, _taskContentService: TaskContentService, _permissionService: PermissionService);
    ngAfterViewInit(): void;
    canAssign(): boolean;
    canCancel(): boolean;
    canFinish(): boolean;
    assign(): void;
    cancel(): void;
    finish(): void;
    getAssignTitle(): string;
    getCancelTitle(): string;
    getFinishTitle(): string;
    get processingTaskChange(): boolean;
    get taskContentText$(): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTreeTaskContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTreeTaskContentComponent, "ncc-abstract-tree-task-content", never, { "displayTaskControlButtons": { "alias": "displayTaskControlButtons"; "required": false; }; }, {}, never, never, false, never>;
}
