import { ImportToAdd } from './import-to-add';
export declare class ViewClassInfo extends ImportToAdd {
    /**
     * for `caseView` located at route `cases/all/` this is equal to `cases-all`
     */
    prefix: string;
    /**
     * for `caseView` located at route `cases/all/` this is equal to `CasesAllCaseView`
     */
    nameWithoutComponent: string;
    /**
     * for `caseView` located at route `cases/all/` this is equal to `CasesAllCaseViewComponent`
     */
    className: string;
    /**
     * for `caseView` located at route `cases/all/` this is equal to `./views/cases/all/cases-all-case-view.component`
     */
    fileImportPath: string;
    constructor(path: string, viewType: string, customComponentName?: string);
    private static convertPathToClassNamePrefix;
    private static resolveClassSuffixForView;
}
