import { ProcessList } from '../../role-assignment/services/ProcessList';
import { PetriNetResourceService } from '../../../resources/engine-endpoint/petri-net-resource.service';
import { SnackBarService } from '../../../snack-bar/services/snack-bar.service';
import { LoggerService } from '../../../logger/services/logger.service';
import { TranslateService } from '@ngx-translate/core';
import { LdapGroupListService } from '../../../groups/services/ldap-group-list.service';
import { LdapGroupResourceService } from '../../../resources/engine-endpoint/ldap-group-resource.service';
import * as i0 from "@angular/core";
export declare class RoleAssignmentLdapGroupService {
    protected ldapGroupResources: LdapGroupResourceService;
    protected processResources: PetriNetResourceService;
    protected snackbar: SnackBarService;
    protected _log: LoggerService;
    protected _translate: TranslateService;
    protected readonly _ldapGroupList: LdapGroupListService;
    protected readonly _processList: ProcessList;
    constructor(ldapGroupResources: LdapGroupResourceService, processResources: PetriNetResourceService, snackbar: SnackBarService, _log: LoggerService, _translate: TranslateService);
    get ldapGroupList(): LdapGroupListService;
    get processList(): ProcessList;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoleAssignmentLdapGroupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RoleAssignmentLdapGroupService>;
}
