import { GroupInterface } from '../../../resources/interface/group';
import { UserResourceService } from '../../../resources/engine-endpoint/user-resource.service';
import { LoggerService } from '../../../logger/services/logger.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class OrganizationListService {
    private _resource;
    private _log;
    private _groups;
    private _loading$;
    constructor(_resource: UserResourceService, _log: LoggerService);
    get loading(): boolean;
    get loading$(): Observable<boolean>;
    get groups(): Array<GroupInterface>;
    get groups$(): Observable<Array<GroupInterface>>;
    loadGroups(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrganizationListService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OrganizationListService>;
}
