import { ConfigurationService } from '../configuration/configuration.service';
import { NullAuthenticationService } from './services/methods/null-authentication/null-authentication.service';
import { BasicAuthenticationService } from './services/methods/basic-authentication/basic-authentication.service';
import { HttpClient } from '@angular/common/http';
import { BasicWithRealmAuthenticationService } from "./services/methods/basic-authentication/basic-with-realm-authentication.service";
export declare function authenticationServiceFactory(config: ConfigurationService, http: HttpClient): NullAuthenticationService | BasicAuthenticationService | BasicWithRealmAuthenticationService;
