import { OnDestroy, OnInit } from "@angular/core";
import { Router } from "@angular/router";
import { SessionIdleTimerService } from "../session/services/session-idle-timer.service";
import { UserService } from "../../user/services/user.service";
import { LoggerService } from "../../logger/services/logger.service";
import { ConfigurationService } from "../../configuration/configuration.service";
import * as i0 from "@angular/core";
export declare abstract class AbstractSessionIdleComponent implements OnInit, OnDestroy {
    protected sessionTimer: SessionIdleTimerService;
    protected _user: UserService;
    protected _log: LoggerService;
    protected _config: ConfigurationService;
    protected _router: Router;
    alertAtSeconds?: number;
    private sessionTimerSubscription;
    protected _enableIdle: boolean;
    constructor(sessionTimer: SessionIdleTimerService, _user: UserService, _log: LoggerService, _config: ConfigurationService, _router: Router);
    ngOnInit(): void;
    protected trackSessionTime(): void;
    continue(): void;
    logout(): void;
    abstract alert(): void;
    abstract close(): void;
    protected cleanUp(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractSessionIdleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractSessionIdleComponent, "ncc-abstract-session-idle", never, { "alertAtSeconds": { "alias": "alertAtSeconds"; "required": false; }; }, {}, never, never, false, never>;
}
