import { User } from '../../user/models/user';
import { Transformer } from './transformer';
import { UserResource } from '../../resources/interface/user-resource';
import { Authority } from '../../resources/interface/authority';
import * as i0 from "@angular/core";
export declare class UserTransformer implements Transformer<UserResource, User> {
    protected transformAuthorities(authorities: Array<Authority>): Array<string>;
    transform(user: UserResource): User;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserTransformer, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserTransformer>;
}
