import { ConfigurationService } from "../../../configuration/configuration.service";
import { HttpClient } from "@angular/common/http";
import { LoggerService } from "../../../logger/services/logger.service";
import { Observable } from "rxjs";
import { MessageResource } from "../../../resources/interface/message-resource";
import { UserChangePasswordRequest } from "../models/user-change-password-request";
import * as i0 from "@angular/core";
export declare class ProfileService {
    protected _config: ConfigurationService;
    protected _http: HttpClient;
    protected _log: LoggerService;
    protected readonly _changePassword: string;
    constructor(_config: ConfigurationService, _http: HttpClient, _log: LoggerService);
    changePassword(changePasswordRequest: UserChangePasswordRequest): Observable<MessageResource>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProfileService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProfileService>;
}
