import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AuthenticationMethodService } from '../../authentication-method.service';
import { Credentials } from '../../../models/credentials';
import { ConfigurationService } from '../../../../configuration/configuration.service';
import { UserResource } from '../../../../resources/interface/user-resource';
import * as i0 from "@angular/core";
export declare class BasicAuthenticationService extends AuthenticationMethodService {
    private _http;
    private _config;
    constructor(_http: HttpClient, _config: ConfigurationService);
    login(credentials?: Credentials): Observable<UserResource>;
    logout(): Observable<object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BasicAuthenticationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BasicAuthenticationService>;
}
