import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot, UrlTree } from '@angular/router';
import { UserService } from '../../user/services/user.service';
import { RedirectService } from '../../routing/redirect-service/redirect.service';
import { ConfigurationService } from '../../configuration/configuration.service';
import { Observable } from 'rxjs';
import { View } from '../../../commons/schema';
import * as i0 from "@angular/core";
export declare class AuthorityGuardService implements CanActivate {
    protected _redirectService: RedirectService;
    protected _userService: UserService;
    protected _configService: ConfigurationService;
    protected _router: Router;
    private readonly _loginUrl;
    constructor(_redirectService: RedirectService, _userService: UserService, _configService: ConfigurationService, _router: Router);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean | UrlTree> | Promise<boolean | UrlTree> | boolean | UrlTree;
    canAccessView(view: View): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthorityGuardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthorityGuardService>;
}
