import { OnDestroy } from '@angular/core';
import { Observable, Subject } from 'rxjs';
import { ChangedFields } from '../../data-fields/models/changed-fields';
import { ChangedFieldsMap } from '../../event/services/interfaces/changed-fields-map';
import * as i0 from "@angular/core";
export declare class ChangedFieldsService implements OnDestroy {
    protected _changedFields$: Subject<ChangedFieldsMap>;
    ngOnDestroy(): void;
    constructor();
    get changedFields$(): Observable<ChangedFieldsMap>;
    emitChangedFields(changedFields: ChangedFieldsMap): void;
    parseChangedFieldsByCaseAndTaskIds(caseId: string, taskIds: Array<string>, changedFieldsMap: ChangedFieldsMap): Array<ChangedFields>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChangedFieldsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChangedFieldsService>;
}
