import { OnDestroy } from "@angular/core";
import { DataFieldPortalData } from "../models/data-field-portal-data-injection-token";
import { DataField } from "../models/abstract-data-field";
import { FormControl } from "@angular/forms";
import { WrappedBoolean } from "../data-field-template/models/wrapped-boolean";
import * as i0 from "@angular/core";
export declare abstract class AbstractBaseDataFieldComponent<T extends DataField<unknown>> implements OnDestroy {
    dataField: T;
    formControlRef: FormControl;
    showLargeLayout: WrappedBoolean;
    constructor(dataFieldPortalData: DataFieldPortalData<T>);
    ngOnDestroy(): void;
    checkPropertyInComponent(property: string): boolean;
    hasTitle(): boolean;
    hasHint(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractBaseDataFieldComponent<any>, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractBaseDataFieldComponent<any>, "ncc-base-data-field", never, { "dataField": { "alias": "dataField"; "required": false; }; "formControlRef": { "alias": "formControlRef"; "required": false; }; "showLargeLayout": { "alias": "showLargeLayout"; "required": false; }; }, {}, never, never, false, never>;
}
