import { Behavior } from '../../models/behavior';
import { ValidatorFn } from '@angular/forms';
import { Layout } from '../../models/layout';
import { Validation } from '../../models/validation';
import { Component } from '../../models/component';
import { DataField } from '../../models/abstract-data-field';
import { UpdateOnStrategy } from "../../models/update-strategy";
export declare enum BooleanFieldValidation {
    REQUIRED_TRUE = "requiredTrue",
    REQUIRED = "required"
}
export declare class BooleanField extends DataField<boolean> {
    constructor(stringId: string, title: string, value: boolean, behavior: Behavior, placeholder?: string, description?: string, layout?: Layout, validations?: Array<Validation>, component?: Component, parentTaskId?: string);
    getTypedComponentType(): string;
    getUpdateOnStrategy(): UpdateOnStrategy;
    protected resolveValidations(): Array<ValidatorFn>;
    private requiredTrue;
}
