import { DataField } from '../../models/abstract-data-field';
import { Behavior } from '../../models/behavior';
import { Layout } from '../../models/layout';
import { Component } from '../../models/component';
import { Validation } from '../../models/validation';
export declare enum ButtonFieldValidation {
    REQUIRED = "required"
}
export declare class ButtonField extends DataField<number> {
    constructor(stringId: string, title: string, behavior: Behavior, value?: number, placeholder?: string, description?: string, layout?: Layout, validations?: Array<Validation>, component?: Component, parentTaskId?: string);
    getTypedComponentType(): string;
}
