import { AbstractBaseDataFieldComponent } from '../../base-component/abstract-base-data-field.component';
import { Injector, Type } from '@angular/core';
import { ComponentPortal } from '@angular/cdk/portal';
import { DataFieldPortalData } from '../../models/data-field-portal-data-injection-token';
import { DataField } from '../../models/abstract-data-field';
export declare abstract class AbstractCaseRefBaseFieldComponent<T extends DataField<unknown>> extends AbstractBaseDataFieldComponent<T> {
    protected injector: Injector;
    protected caseViewType: Type<any>;
    componentPortal: ComponentPortal<any>;
    protected constructor(injector: Injector, caseViewType: Type<any>, dataFieldPortalData: DataFieldPortalData<T>);
    createFilter(filterValue: string | string[]): void;
}
