import { AbstractTimeInstanceFieldComponent } from "../../time-instance-abstract-field/abstract-time-instance-field.component";
import { TranslateService } from "@ngx-translate/core";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { DateTimeField } from "../models/date-time-field";
import { NgxMatDateAdapter } from "@angular-material-components/datetime-picker";
import { LanguageService } from "../../../translate/language.service";
import * as i0 from "@angular/core";
export declare abstract class AbstractDateTimeDefaultFieldComponent extends AbstractTimeInstanceFieldComponent<DateTimeField> {
    protected _translate: TranslateService;
    protected _adapter: NgxMatDateAdapter<any>;
    protected _locale: string;
    protected _languageService: LanguageService;
    constructor(_translate: TranslateService, _adapter: NgxMatDateAdapter<any>, _locale: string, _languageService: LanguageService, dataFieldPortalData: DataFieldPortalData<DateTimeField>);
    getErrorMessage(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractDateTimeDefaultFieldComponent, [null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractDateTimeDefaultFieldComponent, "ncc-abstract-date-time-default-field", never, {}, {}, never, never, false, never>;
}
