import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Observable, Subscription } from 'rxjs';
import { TranslateService } from '@ngx-translate/core';
import { DynamicEnumerationField } from '../models/dynamic-enumeration-field';
import { EnumerationFieldValue } from '../models/enumeration-field';
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import * as i0 from "@angular/core";
export declare abstract class AbstractEnumerationAutocompleteDynamicFieldComponent extends AbstractBaseDataFieldComponent<DynamicEnumerationField> implements OnInit, OnDestroy, AfterViewInit {
    protected _translate: TranslateService;
    text: ElementRef;
    filteredOptions: Observable<Array<EnumerationFieldValue>>;
    choiceSubscription: Subscription;
    constructor(_translate: TranslateService, dataFieldPortalData: DataFieldPortalData<DynamicEnumerationField>);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    change(): void;
    renderSelection: (key: any) => any;
    buildErrorMessage(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractEnumerationAutocompleteDynamicFieldComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractEnumerationAutocompleteDynamicFieldComponent, "ncc-abstract-enumeration-autocomplete-dynamic-field", never, {}, {}, never, never, false, never>;
}
