import { AfterViewInit, Injector, OnDestroy, Type } from "@angular/core";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { EnumerationField } from '../models/enumeration-field';
import { Subscription } from 'rxjs';
import { AbstractCaseRefBaseFieldComponent } from '../../case-ref-field/model/abstract-case-ref-base-field-component';
import * as i0 from "@angular/core";
export declare abstract class AbstractEnumerationCaseRefComponent extends AbstractCaseRefBaseFieldComponent<EnumerationField> implements AfterViewInit, OnDestroy {
    protected injector: Injector;
    protected caseViewType: Type<any>;
    protected _sub: Subscription;
    protected _subComp: Subscription;
    protected constructor(injector: Injector, caseViewType: Type<any>, dataFieldPortalData: DataFieldPortalData<EnumerationField>);
    ngAfterViewInit(): void;
    protected callCreateFilter(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractEnumerationCaseRefComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractEnumerationCaseRefComponent, "ncc-abstract-enumeration-case-ref-default", never, {}, {}, never, never, false, never>;
}
