import { AfterViewChecked, ElementRef, OnDestroy, OnInit, QueryList } from '@angular/core';
import { EnumerationField } from '../models/enumeration-field';
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class AbstractEnumerationStepperFieldComponent extends AbstractBaseDataFieldComponent<EnumerationField> implements OnInit, AfterViewChecked, OnDestroy {
    protected ref: ElementRef;
    steps: QueryList<ElementRef>;
    arrowStepper: boolean;
    protected subComp: Subscription;
    constructor(ref: ElementRef, dataFieldPortalData: DataFieldPortalData<EnumerationField>);
    ngOnInit(): void;
    canShowDoneIcon(index: number): boolean;
    isSelected(key: string): boolean;
    ngAfterViewChecked(): void;
    setStepperValue(key: string): void;
    hasTitle(): boolean;
    resolveValue(key: string): string;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractEnumerationStepperFieldComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractEnumerationStepperFieldComponent, "ncc-abstract-enumeration-stepper-field", never, {}, {}, never, never, false, never>;
}
