import { Injector, OnInit } from "@angular/core";
import { ComponentPortal, ComponentType } from "@angular/cdk/portal";
import { AbstractFilterFieldContentComponent } from "../abstract-filter-field-content.component";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { FilterField } from "../models/filter-field";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import * as i0 from "@angular/core";
export declare abstract class AbstractFilterDefaultFieldComponent extends AbstractBaseDataFieldComponent<FilterField> implements OnInit {
    protected _parentInjector: Injector;
    initialized: boolean;
    portal: ComponentPortal<AbstractFilterFieldContentComponent>;
    constructor(_parentInjector: Injector, dataFieldPortalData: DataFieldPortalData<FilterField>);
    ngOnInit(): void;
    get editable(): boolean;
    protected abstract getFilterContentComponent(): ComponentType<AbstractFilterFieldContentComponent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractFilterDefaultFieldComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractFilterDefaultFieldComponent, "ncc-abstract-filter-default-field", never, {}, {}, never, never, false, never>;
}
