import { DataField } from '../../models/abstract-data-field';
import { Behavior } from '../../models/behavior';
import { Layout } from '../../models/layout';
import { Component } from '../../models/component';
import { FilterMetadata } from '../../../search/models/persistance/filter-metadata';
import { Validation } from '../../models/validation';
export declare class FilterField extends DataField<string> {
    private _filterMetadata;
    private _allowedNets;
    constructor(stringId: string, title: string, initialValue: string, _filterMetadata: FilterMetadata, _allowedNets: Array<string>, behavior: Behavior, placeholder: string, description: string, layout?: Layout, validations?: Array<Validation>, component?: Component, parentTaskId?: string);
    get filterMetadata(): FilterMetadata;
    get allowedNets(): Array<string>;
    getTypedComponentType(): string;
}
