import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { LanguageIcons } from './models/language-icons';
import * as i0 from "@angular/core";
export declare class LanguageIconsService {
    private _domSanitizer;
    protected _languageIcons: any;
    constructor(_domSanitizer: DomSanitizer);
    get languageIcons(): LanguageIcons;
    addLanguageIcon(shortName: string, langName: string, svgIcon: SafeHtml): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LanguageIconsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LanguageIconsService>;
}
