import { AfterViewInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { CurrencyPipe } from '@angular/common';
import { AbstractNumberErrorsComponent } from '../abstract-number-errors.component';
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { NumberField } from "../models/number-field";
import * as i0 from "@angular/core";
export declare abstract class AbstractCurrencyNumberFieldComponent extends AbstractNumberErrorsComponent implements AfterViewInit {
    protected _currencyPipe: CurrencyPipe;
    transformedValue: string;
    fieldType: string;
    readonly NUMBER_TYPE = "number";
    readonly TEXT_TYPE = "text";
    readonly WHITESPACE = " ";
    protected constructor(_currencyPipe: CurrencyPipe, translateService: TranslateService, dataFieldPortalData: DataFieldPortalData<NumberField>);
    ngAfterViewInit(): void;
    transformToText(event: Event): void;
    transformToNumber(): void;
    getCurrencySymbol(): string;
    isNumberType(): boolean;
    private transformCurrency;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractCurrencyNumberFieldComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractCurrencyNumberFieldComponent, "ncc-abstract-currency-field", never, {}, {}, never, never, false, never>;
}
