import { AfterViewInit, Injector, Type } from "@angular/core";
import { TaskRefField } from "../model/task-ref-field";
import { AbstractBaseDataFieldComponent } from "../../base-component/abstract-base-data-field.component";
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { ComponentPortal } from "@angular/cdk/portal";
import * as i0 from "@angular/core";
export declare abstract class AbstractTaskRefListFieldComponent extends AbstractBaseDataFieldComponent<TaskRefField> implements AfterViewInit {
    protected injector: Injector;
    protected taskViewType: Type<any>;
    componentPortal: ComponentPortal<any>;
    protected constructor(injector: Injector, taskViewType: Type<any>, dataFieldPortalData: DataFieldPortalData<TaskRefField>);
    ngAfterViewInit(): void;
    createFilter(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTaskRefListFieldComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTaskRefListFieldComponent, "ncc-abstract-task-ref-list-field", never, {}, {}, never, never, false, never>;
}
