import { AfterViewInit } from '@angular/core';
import { ElementRef, NgZone } from '@angular/core';
import { TextField } from '../models/text-field';
import { TranslateService } from '@ngx-translate/core';
import { CdkTextareaAutosize } from '@angular/cdk/text-field';
import { AbstractTextErrorsComponent } from '../abstract-text-errors.component';
import { DataFieldPortalData } from "../../models/data-field-portal-data-injection-token";
import { TextAreaField } from "../models/text-area-field";
import * as i0 from "@angular/core";
export declare abstract class AbstractTextareaFieldComponent extends AbstractTextErrorsComponent<TextField> implements AfterViewInit {
    protected _translate: TranslateService;
    protected _ngZone: NgZone;
    dynamicTextArea: CdkTextareaAutosize;
    textArea: ElementRef<HTMLTextAreaElement>;
    constructor(_translate: TranslateService, _ngZone: NgZone, dataFieldPortalData: DataFieldPortalData<TextAreaField>);
    ngAfterViewInit(): void;
    getHeight(): number;
    triggerResize(): void;
    getErrorMessage(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTextareaFieldComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTextareaFieldComponent, "ncc-abstract-text-area-field", never, {}, {}, never, never, false, never>;
}
