import { AbstractTimeInstanceField } from './models/abstract-time-instance-field';
import { TranslateService } from '@ngx-translate/core';
import { AbstractBaseDataFieldComponent } from "../base-component/abstract-base-data-field.component";
import { DataFieldPortalData } from "../models/data-field-portal-data-injection-token";
import { OnDestroy } from '@angular/core';
import { DateAdapter } from '@angular/material/core';
import { LanguageService } from '../../translate/language.service';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class AbstractTimeInstanceFieldComponent<T extends AbstractTimeInstanceField> extends AbstractBaseDataFieldComponent<T> implements OnDestroy {
    protected _translate: TranslateService;
    protected _adapter: DateAdapter<any>;
    protected _locale: string;
    protected _languageService: LanguageService;
    protected _subLang: Subscription;
    protected constructor(_translate: TranslateService, _adapter: DateAdapter<any>, _locale: string, _languageService: LanguageService, dataFieldPortalData: DataFieldPortalData<T>);
    ngOnDestroy(): void;
    setLangToAdapter(lang: string): void;
    buildErrorMessage(dataField: AbstractTimeInstanceField): any;
    protected resolveErrorMessage(dataField: AbstractTimeInstanceField, search: string, generalMessage: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTimeInstanceFieldComponent<any>, [null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTimeInstanceFieldComponent<any>, "ncc-abstract-time-instance-field", never, {}, {}, never, never, false, never>;
}
