/**
 * Used by [UserListField]{@link UserListField}.
 *
 * Represents the value of the user list.
 */
import { UserValue } from '../../user-field/models/user-value';
export declare class UserListValue {
    private _userValues;
    constructor(userValues: Map<string, UserValue>);
    get userValues(): Map<string, UserValue>;
    set userValues(value: Map<string, UserValue>);
    addUserValue(value: UserValue): void;
    addUserValues(value: Map<string, UserValue>): void;
    getLast(): UserValue;
    toString(): string;
    removeUserValue(userId: string): void;
}
