import { EventOutcome } from '../../resources/interface/event-outcome';
import { FrontAction } from '../../data-fields/models/changed-fields';
import { ChangedFieldsMap } from './interfaces/changed-fields-map';
import * as i0 from "@angular/core";
export declare class EventService {
    constructor();
    parseChangedFieldsFromOutcomeTree(outcome: EventOutcome): ChangedFieldsMap;
    private parseChangedFieldsFromOutcomeTreeRecursive;
    parseFrontActionsFromOutcomeTree(outcome: EventOutcome): Array<FrontAction>;
    private parseFrontActionsFromOutcomeTreeRecursive;
    static ɵfac: i0.ɵɵFactoryDeclaration<EventService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EventService>;
}
