import { OnDestroy } from '@angular/core';
import { AbstractHeaderService } from '../abstract-header-service';
import { HeaderColumn } from '../models/header-column';
import { UserPreferenceService } from '../../user/services/user-preference.service';
import { LoggerService } from '../../logger/services/logger.service';
import { Subscription } from 'rxjs';
import { OverflowService } from '../services/overflow.service';
import { ViewIdService } from '../../user/services/view-id.service';
import { AllowedNetsService } from '../../allowed-nets/services/allowed-nets.service';
import * as i0 from "@angular/core";
export declare class CaseHeaderService extends AbstractHeaderService implements OnDestroy {
    protected _allowedNetsService: AllowedNetsService;
    protected overflowService: OverflowService;
    protected subAllowedNets: Subscription;
    constructor(_allowedNetsService: AllowedNetsService, preferences: UserPreferenceService, logger: LoggerService, viewIdService: ViewIdService, overflowService: OverflowService, naeDefaultHeaders: Array<string>);
    protected createMetaHeaders(): Array<HeaderColumn>;
    ngOnDestroy(): void;
    updateColumnCount(): void;
    protected saveState(): void;
    protected saveNewState(): void;
    protected restoreLastState(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CaseHeaderService, [null, null, null, { optional: true; }, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CaseHeaderService>;
}
