import { SortDirection } from '@angular/material/sort';
export declare enum HeaderColumnType {
    META = "meta",
    IMMEDIATE = "immediate"
}
export declare class HeaderColumn {
    type: HeaderColumnType;
    fieldIdentifier: string;
    title: string;
    fieldType: string;
    initial: boolean;
    petriNetIdentifier?: string;
    sortDirection: SortDirection;
    searchInput: any;
    constructor(type: HeaderColumnType, fieldIdentifier: string, title: string, fieldType: string, initial?: boolean, petriNetIdentifier?: string);
    get uniqueId(): string;
}
