import { ViewIdService } from '../../user/services/view-id.service';
import * as i0 from "@angular/core";
export declare class OverflowService {
    private _viewIdService;
    protected readonly DEFAULT_COLUMN_WIDTH = 200;
    protected readonly DEFAULT_COLUMN_COUNT = 6;
    private _overflowMode;
    private _columnWidth;
    private _columnCount;
    private _state;
    private _initializedCount;
    constructor(_viewIdService: ViewIdService);
    get overflowMode(): boolean;
    set overflowMode(value: boolean);
    get columnWidth(): number;
    set columnWidth(value: number);
    get columnCount(): number;
    set columnCount(value: number);
    get initializedCount(): boolean;
    saveState(): void;
    saveNewState(): void;
    restoreLastState(): void;
    protected initializeItem(id: string, defaultValue: any): any;
    protected checkIsNan(item: any, defaultValue: any): any;
    /**
     * @returns the Id of the view, if the ViewIdService was injected. Returns `undefined` if the service was not injected.
     */
    protected getViewId(): string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<OverflowService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OverflowService>;
}
