import { OnDestroy } from '@angular/core';
import { AbstractHeaderService } from '../abstract-header-service';
import { HeaderColumn } from '../models/header-column';
import { UserPreferenceService } from '../../user/services/user-preference.service';
import { LoggerService } from '../../logger/services/logger.service';
import { ViewIdService } from '../../user/services/view-id.service';
import { OverflowService } from '../services/overflow.service';
import * as i0 from "@angular/core";
export declare class WorkflowHeaderService extends AbstractHeaderService implements OnDestroy {
    constructor(preferences: UserPreferenceService, logger: LoggerService, viewIdService: ViewIdService, overflowService: OverflowService);
    protected createMetaHeaders(): Array<HeaderColumn>;
    ngOnDestroy(): void;
    protected saveState(): void;
    protected saveNewState(): void;
    protected restoreLastState(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowHeaderService, [null, null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorkflowHeaderService>;
}
