import { GroupNavigationComponentResolverService } from './group-navigation-component-resolver.service';
import { Injector, OnDestroy, OnInit } from '@angular/core';
import { ComponentPortal } from '@angular/cdk/portal';
import { ActivatedRoute, Router } from '@angular/router';
import { LoggerService } from '../../logger/services/logger.service';
import * as i0 from "@angular/core";
export declare abstract class AbstractGroupNavigationComponentResolverComponent implements OnInit, OnDestroy {
    protected _componentResolverService: GroupNavigationComponentResolverService;
    protected _parentInjector: Injector;
    protected _activatedRoute: ActivatedRoute;
    protected _router: Router;
    protected _log: LoggerService;
    portal: ComponentPortal<any>;
    initialized: boolean;
    errored: boolean;
    private _portalSub;
    private _routerSub;
    protected constructor(_componentResolverService: GroupNavigationComponentResolverService, _parentInjector: Injector, _activatedRoute: ActivatedRoute, _router: Router, _log: LoggerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected resolveComponent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractGroupNavigationComponentResolverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractGroupNavigationComponentResolverComponent, "ncc-abstract-group-nagiation-resolver", never, {}, {}, never, never, false, never>;
}
