export interface UriNodeResource {
    id?: string;
    uriPath?: string;
    path: string;
    name: string;
    parentId: string;
    parent?: UriNodeResource;
    childrenId: Set<string>;
    children?: Set<UriNodeResource>;
    level: number;
    contentTypes?: Set<UriContentType>;
}
export declare enum UriContentType {
    PROCESS = 0,
    CASE = 1
}
