import { EventEmitter, OnDestroy } from '@angular/core';
import { MatSidenav } from '@angular/material/sidenav';
import * as i0 from "@angular/core";
export declare abstract class AbstractNavigationRailComponent implements OnDestroy {
    expandOnHover: boolean;
    expandChange: EventEmitter<boolean>;
    protected _rail: MatSidenav;
    protected _expanded: boolean;
    constructor();
    ngOnDestroy(): void;
    get expanded(): boolean;
    open(): void;
    close(): void;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractNavigationRailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractNavigationRailComponent, "ncc-abstract-navigation-rail", never, { "expandOnHover": { "alias": "expandOnHover"; "required": false; }; }, { "expandChange": "expandChange"; }, never, never, false, never>;
}
