import { LanguageService } from '../../../../translate/language.service';
import { LanguageIconsService } from '../../../../data-fields/i18n-field/language-icons.service';
import { SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare abstract class AbstractLanguageSelectorComponent {
    protected _langService: LanguageService;
    protected _languageIconsService: LanguageIconsService;
    protected constructor(_langService: LanguageService, _languageIconsService: LanguageIconsService);
    getLangKeys(): string[];
    getCurrentLang(): string;
    setLang(lang: string): void;
    getLanguageIcons(): import("@netgrif/components-core").LanguageIcons;
    getLangIcon(lang: string): SafeHtml;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractLanguageSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractLanguageSelectorComponent, "ncc-abstract-language-selector", never, {}, {}, never, never, false, never>;
}
