import { OnDestroy } from '@angular/core';
import { FilterTextConfiguration } from './model/filter-text-injection-token';
import { SearchService } from '../../search/search-service/search.service';
import { FilterTextSegment } from '../../search/models/persistance/filter-text-segment';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare abstract class AbstractImmediateFilterTextContentComponent implements OnDestroy {
    protected _configuration: FilterTextConfiguration;
    protected _textSearchService: SearchService;
    protected _translateService: TranslateService;
    private readonly _searchServiceSub;
    segments: Array<FilterTextSegment>;
    tooltip: string;
    get ellipsis(): boolean;
    protected constructor(_configuration: FilterTextConfiguration, _textSearchService: SearchService, _translateService: TranslateService);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractImmediateFilterTextContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractImmediateFilterTextContentComponent, "ncc-abstract-immediate-filter-text-content", never, {}, {}, never, never, false, never>;
}
