import { ActivatedRoute, Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { ProcessService } from '../../process/process.service';
import { CaseResourceService } from '../../resources/engine-endpoint/case-resource.service';
import { SnackBarService } from '../../snack-bar/services/snack-bar.service';
import { PublicTaskLoadingService } from '../../view/task-view/service/public-task-loading.service';
import { RedirectService } from '../../routing/redirect-service/redirect.service';
export declare const BaseFilterFactoryProvider: {
    provide: import("@angular/core").InjectionToken<import("@netgrif/components-core").BaseFilter>;
    useFactory: (router: Router, route: ActivatedRoute, process: ProcessService, caseResourceService: CaseResourceService, snackBarService: SnackBarService, translate: TranslateService, publicTaskLoadingService: PublicTaskLoadingService) => {
        filter: import("@netgrif/components-core").SimpleFilter;
    };
    deps: (typeof TranslateService | typeof SnackBarService | typeof ProcessService | typeof CaseResourceService | typeof ActivatedRoute | typeof Router | typeof RedirectService | typeof PublicTaskLoadingService)[];
};
