import { Router } from '@angular/router';
import { UserService } from '../../user/services/user.service';
import { PetriNetResourceService } from '../../resources/engine-endpoint/petri-net-resource.service';
import { SessionService } from '../../authentication/session/services/session.service';
import { AuthenticationService } from '../../authentication/services/authentication/authentication.service';
import { PublicUrlResolverService } from '../../public/services/public-url-resolver.service';
import { ResourceProvider } from '../../resources/resource-provider.service';
import { ConfigurationService } from '../../configuration/configuration.service';
import { RedirectService } from '../../routing/redirect-service/redirect.service';
export declare const PetriNetResourceServiceProvider: {
    provide: typeof PetriNetResourceService;
    useFactory: (userService: UserService, sessionService: SessionService, authService: AuthenticationService, router: Router, publicResolverService: PublicUrlResolverService, provider: ResourceProvider, config: ConfigurationService, redirectService: RedirectService) => any;
    deps: (typeof ConfigurationService | typeof SessionService | typeof AuthenticationService | typeof ResourceProvider | typeof UserService | typeof Router | typeof RedirectService | typeof PublicUrlResolverService)[];
};
