import { Injector, Type } from '@angular/core';
import { ComponentPortal } from '@angular/cdk/portal';
import * as i0 from "@angular/core";
export declare class ComponentRegistryService {
    protected registry: Map<string, (injector: Injector) => ComponentPortal<any>>;
    protected typeRegistry: Map<string, Type<any>>;
    constructor();
    register(component: string, factory: (injector: Injector) => ComponentPortal<any>): void;
    registerType(key: string, type: Type<any>): void;
    contains(component: string): boolean;
    get(component: string, injector?: Injector): ComponentPortal<any>;
    getType(key: string): Type<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ComponentRegistryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ComponentRegistryService>;
}
