import { ResourceProvider } from '../resource-provider.service';
import { ConfigurationService } from '../../configuration/configuration.service';
import { Observable } from 'rxjs';
import { AggregationQuery } from '../../dashboard/cards/model/custom-dashboard-model/aggregation-query';
import { AggregationResult } from '../../dashboard/cards/model/custom-dashboard-model/aggregation-result';
import { AbstractResourceService } from '../abstract-endpoint/abstract-resource.service';
import * as i0 from "@angular/core";
export declare class DashboardResourceService extends AbstractResourceService {
    constructor(provider: ResourceProvider, configService: ConfigurationService);
    getDashboardData(type: string, jsonQuery: AggregationQuery): Observable<AggregationResult>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashboardResourceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DashboardResourceService>;
}
