import { ConfigurationService } from '../../configuration/configuration.service';
import * as i0 from "@angular/core";
export declare class DynamicNavigationRouteProviderService {
    protected _config: ConfigurationService;
    protected _route: string | undefined;
    constructor(_config: ConfigurationService);
    set route(route: string);
    /**
     * @Returns the configuration set by the {@link RoutingBuilderService} or if dynamic navigation is not used the value set in the
     * nae.json
     */
    get route(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicNavigationRouteProviderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DynamicNavigationRouteProviderService>;
}
