import { OperatorService } from '../../../operator-service/operator.service';
import { LoggerService } from '../../../../logger/services/logger.service';
import { OptionalDependencies } from '../../../category-factory/optional-dependencies';
import { Query } from '../../query/query';
import { NoConfigurationAutocompleteCategory } from '../no-configuration-autocomplete-category';
import { Categories } from '../categories';
export declare class TaskProcess extends NoConfigurationAutocompleteCategory<string> {
    protected _optionalDependencies: OptionalDependencies;
    private static readonly _i18n;
    private _allowedNetsSub;
    private _destroyed;
    constructor(operators: OperatorService, logger: LoggerService, _optionalDependencies: OptionalDependencies);
    destroy(): void;
    protected createOptions(): void;
    protected generateQuery(userInput: Array<Array<string>>): Query;
    get inputPlaceholder(): string;
    duplicate(): TaskProcess;
    serializeClass(): Categories | string;
}
