import { Operator } from './operator';
import { Query } from '../query/query';
import { Operators } from './operators';
/**
 * A range operator for numeric fields, with closed interval on both sides of the range.
 */
export declare class InRange extends Operator<number> {
    constructor();
    createQuery(elasticKeywords: Array<string>, args: Array<number>): Query;
    getOperatorNameTemplate(): Array<string>;
    serialize(): Operators | string;
}
