import { OnInit } from '@angular/core';
import { Filter } from '../../../../filter/models/filter';
import * as i0 from "@angular/core";
/**
 * @ignore
 * Renders a single filter in the selection list.
 */
export declare abstract class AbstractFilterSelectorListItemComponent implements OnInit {
    /**
     * Filter that should be rendered
     */
    filter: Filter;
    /**
     * Text that is bound to HTML
     */
    text: string;
    /**
     * Sets the text bound to HTML, to either the filter title (if it exists), or to it's ID.
     */
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractFilterSelectorListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractFilterSelectorListItemComponent, "ncc-abstract-filter-selector-list-item", never, { "filter": { "alias": "filter"; "required": false; }; }, {}, never, never, false, never>;
}
