import { SideMenuControl } from '../../models/side-menu-control';
import { LoadFilterInjectionData } from './model/load-filter-injection-data';
import { LoggerService } from '../../../logger/services/logger.service';
import { AbstractCaseViewComponent } from '../../../view/case-view/abstract-case-view';
import { CaseViewService } from '../../../view/case-view/service/case-view-service';
import { Case } from '../../../resources/interface/case';
import * as i0 from "@angular/core";
export declare abstract class AbstractLoadFilterComponent extends AbstractCaseViewComponent {
    protected _sideMenuControl: SideMenuControl;
    protected _log: LoggerService;
    protected _injectedData: LoadFilterInjectionData;
    protected constructor(_sideMenuControl: SideMenuControl, _log: LoggerService, caseViewService: CaseViewService);
    handleCaseClick(clickedCase: Case): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractLoadFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractLoadFilterComponent, "ncc-abstract-load-filter", never, {}, {}, never, never, false, never>;
}
