import { SideMenuControl } from '../../models/side-menu-control';
import { SaveFilterInjectionData } from './model/save-filter-injection-data';
import { AbstractTaskViewComponent } from '../../../view/task-view/abstract-task-view';
import { TaskViewService } from '../../../view/task-view/service/task-view.service';
import { TaskEventNotification } from '../../../task-content/model/task-event-notification';
import { LoggerService } from '../../../logger/services/logger.service';
import { UserFiltersService } from '../../../filter/user-filters.service';
import { ActivatedRoute } from '@angular/router';
import * as i0 from "@angular/core";
export declare abstract class AbstractSaveFilterComponent extends AbstractTaskViewComponent {
    protected _sideMenuControl: SideMenuControl;
    protected _userFilterService: UserFiltersService;
    protected _log: LoggerService;
    protected _injectedData: SaveFilterInjectionData;
    protected constructor(_sideMenuControl: SideMenuControl, _userFilterService: UserFiltersService, _log: LoggerService, taskViewService: TaskViewService, _activatedRoute?: ActivatedRoute);
    processTaskEvents(notification: TaskEventNotification): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractSaveFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractSaveFilterComponent, "ncc-abstract-save-filter", never, {}, {}, never, never, false, never>;
}
