import { FormControl } from "@angular/forms";
import { UserListInjectedData } from "./model/user-list-injected-data";
import { UserValue } from "../../../data-fields/user-field/models/user-value";
import { SideMenuControl } from "../../models/side-menu-control";
import { ProcessRole } from "../../../resources/interface/process-role";
import * as i0 from "@angular/core";
export declare abstract class AbstractMultiUserAssignComponent {
    protected _sideMenuControl: SideMenuControl;
    searchUserControl: FormControl<any>;
    injectedData: UserListInjectedData;
    protected _currentUsers: Array<UserValue>;
    protected constructor(_sideMenuControl: SideMenuControl);
    get initiallySelectedUsers(): Array<UserValue> | undefined;
    get roles(): Array<string> | Array<ProcessRole>;
    get negativeRoles(): Array<string> | Array<ProcessRole>;
    get currentUsers(): Array<UserValue>;
    userWasUnselected(user: UserValue): void;
    userWasSelected(user: UserValue): void;
    /**
     * On save button close side menu with selected user as data and message about confirm.
     */
    save(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractMultiUserAssignComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractMultiUserAssignComponent, "ncc-abstract-multi-user-assign", never, {}, {}, never, never, false, never>;
}
