import { Observable } from 'rxjs';
import { UserListItem } from '../../../../../user/services/user-list.service';
import * as i0 from "@angular/core";
/**
 * Includes avatar user icon and full username in the side menu.
 */
export declare abstract class AbstractUserAssignItemComponent {
    /**
     * Value of the user held in this item component
     */
    user: UserListItem;
    /**
     * ID of the currently selected user
     */
    selectedId$: Observable<string>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractUserAssignItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractUserAssignItemComponent, "ncc-abstract-user-assign-item", never, { "user": { "alias": "user"; "required": false; }; "selectedId$": { "alias": "selectedId$"; "required": false; }; }, {}, never, never, false, never>;
}
