import { AfterViewInit } from '@angular/core';
import { PortalWrapper } from '../models/portal-wrapper';
import { SideMenuService } from '../services/side-menu.service';
import { Observable } from 'rxjs';
import { MatDrawerToggleResult, MatSidenav } from '@angular/material/sidenav';
import * as i0 from "@angular/core";
export declare abstract class AbstractSideMenuContainerComponent implements AfterViewInit {
    protected _sideMenuService: SideMenuService;
    sideMenu: MatSidenav;
    portalWrapper: PortalWrapper;
    constructor(_sideMenuService: SideMenuService);
    ngAfterViewInit(): void;
    open(portalWrapper: PortalWrapper): Observable<MatDrawerToggleResult>;
    close(context: AbstractSideMenuContainerComponent): Observable<MatDrawerToggleResult>;
    isOpened(): boolean;
    openedChange(): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractSideMenuContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractSideMenuContainerComponent, "ncc-abstract-side-menu-container", never, {}, {}, never, never, false, never>;
}
