/**
 * Contains types of renderable data fields.
 */
export declare enum FieldTypeResource {
    BOOLEAN = "boolean",
    TEXT = "text",
    NUMBER = "number",
    ENUMERATION = "enumeration",
    MULTICHOICE = "multichoice",
    DATE = "date",
    DATE_TIME = "dateTime",
    USER = "user",
    USER_LIST = "userList",
    BUTTON = "button",
    FILE = "file",
    FILE_LIST = "fileList",
    ENUMERATION_MAP = "enumeration_map",
    MULTICHOICE_MAP = "multichoice_map",
    TASK_REF = "taskRef",
    CASE_REF = "caseRef",
    FILTER = "filter",
    I18N = "i18n",
    STRING_COLLECTION = "stringCollection"
}
