import { TaskContentService } from '../../task-content/services/task-content.service';
import { TaskHandlingService } from './task-handling-service';
import * as i0 from "@angular/core";
/**
 * Handles the sequence of actions that are performed when a task si [opened]{@link TaskOperations#open}.
 */
export declare class DataFocusPolicyService extends TaskHandlingService {
    constructor(_taskContentService: TaskContentService);
    /**
     * Performs the selection of some data fields if the policy is set to [Auto Required]{@link DataFocusPolicy#autoRequired}.
     */
    performDataFocusPolicy(): void;
    /**
     * Currently does nothing
     */
    private autoRequiredDataFocusPolicy;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataFocusPolicyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DataFocusPolicyService>;
}
