import { TranslateService } from '@ngx-translate/core';
import { LanguageService } from '../translate/language.service';
import * as i0 from "@angular/core";
export declare abstract class AbstractToolbarComponent {
    protected translate: TranslateService;
    protected selectLangService: LanguageService;
    loggedUser: string;
    appName: string;
    logoSrc: string;
    logoAlt: string;
    constructor(translate: TranslateService, selectLangService: LanguageService);
    setLang(lang: string): void;
    activeLang(lang: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractToolbarComponent, "ncc-abstract-toolbar", never, { "loggedUser": { "alias": "loggedUser"; "required": false; }; "appName": { "alias": "appName"; "required": false; }; "logoSrc": { "alias": "logoSrc"; "required": false; }; "logoAlt": { "alias": "logoAlt"; "required": false; }; }, {}, never, never, false, never>;
}
