import { TemplateRef, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class LetContext<T> {
    $implicit: T;
    nccLet: T;
}
export declare class LetDirective<T = unknown> {
    private templateRef?;
    private viewContainer?;
    private readonly context;
    private _hasView;
    constructor(templateRef?: TemplateRef<any>, viewContainer?: ViewContainerRef);
    set nccLet(obj: T);
    get hasView(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<LetDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LetDirective<any>, "[nccLet]", never, { "nccLet": { "alias": "nccLet"; "required": false; }; }, {}, never, never, false, never>;
}
