import { BehaviorSubject } from 'rxjs';
import { Filter } from '../filter/models/filter';
export declare class LoadingWithFilterEmitter extends BehaviorSubject<boolean> {
    private _loadingStates;
    constructor(initial?: boolean);
    get isActive(): boolean;
    isActiveWithFilter(withFilter: Filter): boolean;
    on(withFilter: Filter): void;
    off(withFilter: Filter): void;
    toggle(withFilter: Filter): void;
    private nextValue;
}
