import * as i0 from "@angular/core";
export declare class CaseListFontColorService {
    cache: {
        [k: string]: string;
    };
    constructor();
    /**
     * Computes if font color of line should be white or black based on chosen hex case color.
     * Hex color is converted to its rbg components and decides from them if case color is dark or light.
     * Threshold for color lightness decision can be changed if needed
     *
     * @param caseColor string color of case
     * @returns font color black or white
     */
    computeCaseFontColor(caseColor: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CaseListFontColorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CaseListFontColorService>;
}
