import { AuthenticationService } from '../../../authentication/services/authentication/authentication.service';
import { Credentials } from '../../../authentication/models/credentials';
import { Observable } from 'rxjs';
import { User } from '../../../user/models/user';
import { AuthenticationMethodService } from "../../../authentication/services/authentication-method.service";
import { ConfigurationService } from "../../../configuration/configuration.service";
import { UserTransformer } from "../../../authentication/models/user.transformer";
import { SessionService } from "../../../authentication/session/services/session.service";
import * as i0 from "@angular/core";
export declare class MockAuthenticationService extends AuthenticationService {
    protected _auth: AuthenticationMethodService;
    protected _config: ConfigurationService;
    protected _sessionService: SessionService;
    protected _userTransformer: UserTransformer;
    constructor(_auth: AuthenticationMethodService, _config: ConfigurationService, _sessionService: SessionService, _userTransformer: UserTransformer);
    login(credentials: Credentials): Observable<User>;
    logout(): Observable<object>;
    get isAuthenticated(): boolean;
    get authenticated$(): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MockAuthenticationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MockAuthenticationService>;
}
