import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class MockUserPreferenceService {
    constructor();
    setTaskFilters(viewId: string, value: Array<string>): void;
    getTaskFilters(viewId: string): Array<string> | undefined;
    setCaseFilters(viewId: string, value: Array<string>): void;
    getCaseFilters(viewId: string): Array<string> | undefined;
    setHeaders(viewId: string, value: Array<string>): void;
    getHeaders(viewId: string): Array<string> | undefined;
    setLocale(locale: string): void;
    getLocale(): string;
    set drawerWidth(drawerWidth: number);
    get drawerWidth(): number;
    get preferencesChanged$(): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MockUserPreferenceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MockUserPreferenceService>;
}
