import * as i0 from "@angular/core";
import * as i1 from "@angular/common/http/testing";
/**
 * A module that provides the most common test dependencies, so that they don't have to be provided in each test.
 *
 * Provides the following:
 * - {@link AuthenticationMethodService} replaced with {@link MockAuthenticationMethodService}
 * - {@link ConfigurationService} replaced with {@link TestConfigurationService}
 *
 * Imports the following:
 * - [HttpClientTestingModule]{@link https://angular.io/api/common/http/testing/HttpClientTestingModule}
 */
export declare class TestMockDependenciesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TestMockDependenciesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TestMockDependenciesModule, never, [typeof i1.HttpClientTestingModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TestMockDependenciesModule>;
}
