import { CaseEventOutcome } from '../../../event/model/event-outcomes/case-outcomes/case-event-outcome';
import { Net } from '../../../process/net';
import { EventOutcome } from '../../../resources/interface/event-outcome';
import { Case } from '../../../resources/interface/case';
/**
 * Creates a mock CaseEventOutcome with given case, net and outcomes attributes.
 *
 * If attributes are not specified, default values are used.
 */
export declare function createMockCaseOutcome(aCase?: Case, net?: Net, outcomes?: Array<EventOutcome>): CaseEventOutcome;
