import { PetriNetEventOutcome } from '../../../event/model/event-outcomes/petrinet-outcomes/petri-net-event-outcome';
import { Net } from '../../../process/net';
import { EventOutcome } from '../../../resources/interface/event-outcome';
/**
 * Creates a mock PetriNetEventOutcome with given net and outcomes attributes.
 *
 * If attributes are not specified, default values are used.
 */
export declare function createMockPetriNetOutcome(net?: Net, outcomes?: Array<EventOutcome>): PetriNetEventOutcome;
