import { Task } from '../../../resources/interface/task';
/**
 * Creates a mock Task instance with the given attributes.
 *
 * The attributes are filled with mostly empty values, if you want to make a test that uses some of them,
 * we recommend setting them yourself, as the returned object might change between versions.
 */
export declare function createMockTask(stringId?: string, title?: string, transitionId?: string, cols?: number): Task;
