import { Observable, ReplaySubject } from 'rxjs';
import { HeaderColumn } from '../../header/models/header-column';
import { AbstractHeaderComponent } from '../../header/abstract-header.component';
import { AbstractSortableViewComponent } from './sortable-view';
import { OnDestroy } from '@angular/core';
import { ActivatedRoute, Params } from '@angular/router';
import * as i0 from "@angular/core";
export declare abstract class AbstractViewWithHeadersComponent implements OnDestroy {
    private _sortableView?;
    protected _activatedRoute?: ActivatedRoute;
    config: Params;
    protected _selectedHeaders$: ReplaySubject<Array<HeaderColumn>>;
    protected constructor(_sortableView?: AbstractSortableViewComponent, _activatedRoute?: ActivatedRoute);
    get selectedHeaders$(): Observable<Array<HeaderColumn>>;
    protected initializeHeader(headerComponent: AbstractHeaderComponent): void;
    ngOnDestroy(): void;
    showHeader(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractViewWithHeadersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractViewWithHeadersComponent, "ncc-abstract-view-with-headers", never, {}, {}, never, never, false, never>;
}
