import { ActivatedRoute } from '@angular/router';
import { Case } from '../../../../resources/interface/case';
import { CaseViewService } from '../../service/case-view-service';
import { LoggerService } from '../../../../logger/services/logger.service';
import { InjectedTabData } from '../../../../tabs/interfaces';
import { AbstractDefaultCaseListComponent } from '../default-case-list/abstract-default-case-list.component';
import * as i0 from "@angular/core";
export declare abstract class AbstractCaseListPaginatorComponent extends AbstractDefaultCaseListComponent {
    protected _caseViewService: CaseViewService;
    protected _log: LoggerService;
    protected route?: ActivatedRoute;
    length: number;
    pageSize: number;
    pageIndex: number;
    pageSizeOptions: number[];
    approval: boolean;
    disabled: boolean;
    constructor(_caseViewService: CaseViewService, _log: LoggerService, injectedTabData: InjectedTabData, route?: ActivatedRoute);
    onPageChanged(e: any): void;
    trackById(_index: number, caze: Case): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractCaseListPaginatorComponent, [null, null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractCaseListPaginatorComponent, "ncc-abstract-case-list-paginator", never, { "approval": { "alias": "approval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, false, never>;
}
