import { AbstractTaskViewComponent } from './abstract-task-view';
import { TaskViewService } from './service/task-view.service';
import { OnDestroy } from '@angular/core';
import { InjectedTabbedTaskViewData } from './models/injected-tabbed-task-view-data';
import { Subscription } from 'rxjs';
import { ActivatedRoute } from '@angular/router';
import * as i0 from "@angular/core";
export declare abstract class AbstractTabbedTaskViewComponent extends AbstractTaskViewComponent implements OnDestroy {
    protected _injectedTabData: InjectedTabbedTaskViewData;
    protected subTaskView: Subscription;
    protected constructor(taskViewService: TaskViewService, _injectedTabData: InjectedTabbedTaskViewData, _activatedRoute?: ActivatedRoute);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractTabbedTaskViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AbstractTabbedTaskViewComponent, "ncc-abstract-tabbed-task-view", never, {}, {}, never, never, false, never>;
}
