import { InjectionToken } from '@angular/core';
import { PetriNetRequestBody } from '../../../resources/interface/petri-net-request-body';
/**
 * An InjectionToken that can be used to set the process filter in workflow view
 */
export declare const NAE_WORKFLOW_SERVICE_FILTER: InjectionToken<PetriNetRequestBody>;
/**
 * An InjectionToken that can be used to enable/disable process delete confirmation dialog
 */
export declare const NAE_WORKFLOW_SERVICE_CONFIRM_DELETE: InjectionToken<boolean>;
