import { Tree } from '@angular-devkit/schematics';
import { ImportToAdd } from '../../_commons/import-to-add';
/**
 * Adds the view to the ViewService array and into module's EntryComponents as the dynamic routing doesn't work otherwise
 * @param tree schematic Tree object
 * @param view the view that should be imported
 */
export declare function addViewToViewService(tree: Tree, view: ImportToAdd): void;
export declare function getGeneratedViewClassNames(tree: Tree): Set<string>;
